Bug 1301086 - psi no longer built with $RPM_OPT_FLAGS
psi no longer built with $RPM_OPT_FLAGS
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: psi (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: DebugInfo 1279265
  Show dependency treegraph
 
Reported: 2016-01-22 09:48 EST by Ville Skyttä
Modified: 2016-01-22 13:04 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-22 13:04:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Rex Dieter 2016-01-22 10:17:48 EST
I fixed psi already, 

%changelog
* Mon Jan 18 2016 Rex Dieter <rdieter@fedoraproject.org> 0.15-15
- ensure proper qmake and build flags (see also bug #1279265)
Comment 2 Ville Skyttä 2016-01-22 10:30:06 EST
(In reply to Rex Dieter from comment #1)
> I fixed psi already, 

It's not fixed, $RPM_OPT_FLAGS are not being used and -debuginfo lacks sources.

http://koji.fedoraproject.org/koji/rpminfo?rpmID=7196622
https://kojipkgs.fedoraproject.org//packages/psi/0.15/15.fc24/data/logs/x86_64/build.log
Comment 3 Rex Dieter 2016-01-22 11:08:51 EST
OK, let's try again

%changelog
* Fri Jan 22 2016 Rex Dieter <rdieter@fedoraproject.org> 0.15-16
- fix build flags harder (#1301086)
Comment 4 Ville Skyttä 2016-01-22 13:01:17 EST
Yep, build log and debuginfo contents look better now.
Comment 5 Rex Dieter 2016-01-22 13:04:38 EST
Thanks for confirming

Note You need to log in before you can comment on or make changes to this bug.